org.eclipse.cdt.utils.debug

## Class DebugStructType

- java.lang.Object
- - org.eclipse.cdt.utils.debug.DebugType
  - - org.eclipse.cdt.utils.debug.DebugStructType

    public class DebugStructType
    extends DebugType

DebugStructType

### Constructor Summary

Constructors
Constructor and Description
`DebugStructType(String name, int size, boolean union)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addField(DebugField field)`
`DebugField[]` `getDebugFields()`
`String` `getName()`
`int` `getSize()`
`boolean` `isUnion()`

### Methods inherited from class org.eclipse.cdt.utils.debug.DebugType

`toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DebugStructType

    public DebugStructType(String name,
                           int size,
                           boolean union)

### Method Detail

#### getSize

    public int getSize()

#### getName

    public String getName()

#### isUnion

    public boolean isUnion()

#### getDebugFields

    public DebugField[] getDebugFields()

#### addField

    public void addField(DebugField field)